Mon Jun 10 02:22:24 1996 Roland McGrath <roland@delasyd.gnu.ai.mit.edu>
[kopensolaris-gnu/glibc.git] / sysdeps / unix / sysv / linux / configure.in
1 sinclude(./aclocal.m4)dnl Autoconf lossage
2 GLIBC_PROVIDES dnl See aclocal.m4 in the top level source directory.
3 # Local configure fragment for sysdeps/unix/sysv/linux.
4
5 # On Linux, the default is to use libio instead of stdio.
6 test $stdio = default && stdio=libio
7
8 # Don't bother trying to generate any glue code to be compatible with the
9 # existing system library, because we are the only system library.
10 inhibit_glue=yes
11
12 AC_CACHE_CHECK(installed Linux kernel header files, libc_cv_linux2, [dnl
13 AC_TRY_COMPILE([#include <linux/version.h>],
14 [#if LINUX_VERSION_CODE < (2 *65536+ 0 *256+ 0) /* 2.0.0 */
15 eat flaming death
16 #endif],
17                libc_cv_linux2='2.0 or later', libc_cv_linux2='TOO OLD!')])
18 if test "$libc_cv_linux2" != '2.0 or later'; then
19   AC_MSG_ERROR([GNU libc requires kernel header files from Linux 2.0
20 or later to be installed before configuring.  The kernel header files
21 are found usually in /usr/include/asm and /usr/include/linux; make sure
22 these directories use files from Linux 2.0 or later.  This check uses
23 <linux/version.h>, so make sure that file was built correctly when
24 installing the kernel header files.])
25 fi